Bug 248423 - Horizontal volume sliders in kmix plasmoid.
Summary: Horizontal volume sliders in kmix plasmoid.
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: KMix Panel Docking (show other bugs)
Version: 3.7
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-19 20:17 UTC by Fest
Modified: 2012-11-12 19:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fest 2010-08-19 20:17:09 UTC
Version:           3.7 (using KDE 4.5.0) 
OS:                Linux

There is option to configure kmix to show horizontal volume sliders.
IMHO it's be great to have such option for kmix plasmoid too (shown on click on kmix icon in tray)

Reproducible: Always
Comment 1 Christian Esken 2010-08-21 00:17:55 UTC
I won't do any major work on the tray area, as long as the tray area specification is under work (https://wiki.ubuntu.com/SoundMenu). The implications on that are yet unclear (who will implement the GUI, who the backend; is it a distribution thing e.g. will there be a generic Netbook implementation; ...)
Comment 2 Fest 2010-08-21 05:09:44 UTC
Understood.
By the way, sketch there of "voip stream active" is exactly what i propose here. And if make it customizable (to choose what exactly to place in that list) - what i asked in Bug 248422.

And one more. If you'll implement such panel with music player controls - can you make it optional ? IMHO it's not obvious to have player controls there. I expect to find sound controls there (volume, streams, devices), not music player controls, not video player control or some other controls. Such controls should be in amarok/juk/smplayer/etc tray plasmoid.

Just imagine what mess it'll be, if put in one place volume controls, pulse streams, music/video player controls. It'll be a really long list.
Comment 3 Christian Esken 2012-11-10 15:57:22 UTC
I think I will implement the requested option. Sliders in the main menu currently have the same orientation as in the tray popup. [1] This might not be appropriate, especially as one can move the panel to the sides or the top or wherever. 


[1] Slider orientations:
Vertical: http://kmix5.wordpress.com/2012/09/24/more-consistent-gui-and-updates-to-the-soundmenu/
Horizontal: http://kmix5.files.wordpress.com/2012/09/kmix-dock_randa2012.png
Comment 4 Christian Esken 2012-11-12 19:13:48 UTC
Git commit 50cbcd8370102d872a10024a82acec7aa9c7be05 by Christian Esken.
Committed on 12/11/2012 at 20:12.
Pushed by esken into branch 'master'.

System tray volume control can now have its own orientation.

M  +35   -28   apps/kmix.cpp
M  +2    -0    core/GlobalConfig.h
M  +21   -1    gui/kmixprefdlg.cpp
M  +2    -0    gui/kmixprefdlg.h
M  +2    -2    gui/viewdockareapopup.cpp

http://commits.kde.org/kmix/50cbcd8370102d872a10024a82acec7aa9c7be05